Package x2go :: Package backends :: Package profiles :: Module sshbroker :: Class X2GoSessionProfiles

[frames] | no frames]

# Class X2GoSessionProfiles

source code

    base.X2GoSessionProfiles --+
                               |
                              X2GoSessionProfiles

Instance Methods

__init__(self, session_profile_defaults=`{``'``applications``'``:` `[``'``WWWBROWSER``'``,` `'``MAILCLIENT``'``,` `'``OFFICE``'``,` `'``TERMI``...`, logger=None, loglevel=56) Retrieve X2Go session profiles from a SSH session broker. | source code

Inherited from `base.X2GoSessionProfiles`: `__call__`, `add_profile`, `check_profile_id_or_name`, `default_profile_config`, `delete_profile`, `get_pkey_object`, `get_profile_config`, `get_profile_metatype`, `get_profile_option_type`, `get_server_hostname`, `get_server_port`, `get_session_param`, `has_profile`, `has_profile_id`, `has_profile_name`, `init_profile_cache`, `is_mutable`, `mutable_profile_ids`, `populate_session_profiles`, `supports_mutable_profiles`, `to_profile_id`, `to_profile_name`, `to_session_params`, `update_value`, `write`

Class Variables
| defaultSessionProfile = `copy.deepcopy(_X2GO_SESSIONPROFILE_DEF`...``

Properties
Inherited from `base.X2GoSessionProfiles`: `profile_ids`, `profile_names`

Method Details

### __init__(self, session_profile_defaults=`{``'``applications``'``:` `[``'``WWWBROWSER``'``,` `'``MAILCLIENT``'``,` `'``OFFICE``'``,` `'``TERMI``...`, logger=None, loglevel=56)
(Constructor)

source code

Retrieve X2Go session profiles from a SSH session broker.

Parameters:
  - `session_profile_defaults` (`dict`) - a default session profile
  - `logger` (X2GoLogger instance) - you can pass an X2GoLogger object to the x2go.backends.profiles.httpbroker.X2GoSessionProfiles constructor
  - `loglevel` (`int`) - if no X2GoLogger object has been supplied a new one will be constructed with the given loglevel
Overrides: base.X2GoSessionProfiles.__init__

Class Variable Details

### defaultSessionProfile

Value:

      copy.deepcopy(_X2GO_SESSIONPROFILE_DEFAULTS)